<?php
namespace Claromentis\Projects\Comments;

$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] ?: array()) + array("_6e38cb9e04" . "3a07cd69a17" . "11a6704c62a" => base64_decode("cGFyZW50X2l" . "k"), "_692281770f7e7" . "8b4e16a657a42c" . "2bc58" => base64_decode("cHJvamVjdHMudGFza19kaXNjdXNzaW9uX3B" . "vc3RlZA=="), "_a71dc9333bd8ad95d55d6624b477875" . "f" => base64_decode("ZGF0" . "YQ=="), "_fee8ad3" . "2cafd14e" . "7ed89e05" . "a85504fb" . "8" => base64_decode("cHJvamVjd" . "HMudGFza1" . "9yZXBseV9" . "wb3N0ZWQ="), "_fa7526ba4ccc308fe" . "61186445986ceaa" => base64_decode("cmVjaXBpZW5" . "0cw=="));
use Claromentis\Comments\Model\Comment;
use Claromentis\Projects\Notification;
use Claromentis\Projects\Service\NotificationService;
class TaskCommentNotification
{
    private $_comment;
    private $_notification;
    public function __construct(Comment $_e8d840684607f6c2bbef523090642168, NotificationService $_88e3baed593bc10d4b7045181b4ac725)
    {
        $this->_comment = $_e8d840684607f6c2bbef523090642168;
        $_dadf790baf241afac942824c1e6e37c4 = NotificationService::TASK_DISCUSSION_POSTED;
        if ($_e8d840684607f6c2bbef523090642168->GetProperty($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_6e38cb9" . "e043a07c" . "d69a1711" . "a6704c62" . "a"]) > 0) {
            $_dadf790baf241afac942824c1e6e37c4 = NotificationService::TASK_REPLY_POSTED;
        }
        $_99aaa03a11622e16e59bff0771ea8ef3 = new Notification($_dadf790baf241afac942824c1e6e37c4, $this->_comment);
        $this->_notification = $_88e3baed593bc10d4b7045181b4ac725->GetNotificationData($_99aaa03a11622e16e59bff0771ea8ef3);
    }
    public function GetTemplate()
    {
        if ($this->_comment->parent_id == 0) {
            return $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_692281770f7e7" . "8b4e16a657a42c" . "2bc58"];
        }
        return $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_fee8ad32cafd1" . "4e7ed89e05a855" . "04fb8"];
    }
    public function GetMessageParams()
    {
        return $this->_notification[$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_a71dc9333bd8ad95d55" . "d6624b477875f"]];
    }
    public function GetRecipients()
    {
        return $this->_notification[$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_fa7526ba4ccc308fe61186445" . "986ceaa"]];
    }
    public function GetType()
    {
        return Notification::IM_TYPE_TASK;
    }
}